Page MenuHomePhabricator

SearchTranslations: TypeError: groups.forEach is not a function
Closed, ResolvedPublic

Description

Summary

Message groups do not appear on search translation page, and there is an error on the console,

Uncaught TypeError: groups.forEach is not a function

Steps

Open https://www.mediawiki.org/w/index.php?title=Special:SearchTranslations&query=%22ver+tambi%C3%A9n%22&language=en

Caused by code here:
https://gerrit.wikimedia.org/g/mediawiki/extensions/Translate/+/6588ad917ac95f60132c8f35b7c037a911f1655f/resources/js/ext.translate.base.js#95

QA plan

After deployment, ensure that the message groups and sub groups (if applicable) appear properly on Search translations page.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 6 2020, 10:24 PM
abi_ claimed this task.Jul 13 2020, 2:12 PM
abi_ moved this task from Backlog to search on the MediaWiki-extensions-Translate board.

Change 612280 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[mediawiki/extensions/Translate@master] SearchTranslations: Fix display of message groups in facet sidebar

https://gerrit.wikimedia.org/r/612280

abi_ renamed this task from TypeError: groups.forEach is not a function to SearchTranslations: TypeError: groups.forEach is not a function.Jul 13 2020, 2:17 PM
abi_ triaged this task as Medium priority.
abi_ updated the task description. (Show Details)

Change 612280 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] SearchTranslations: Fix display of message groups in facet sidebar

https://gerrit.wikimedia.org/r/612280

abi_ closed this task as Resolved.Jul 30 2020, 6:44 AM

Tested this on Mediawiki.org. Works fine. Resolving.